Subject: rexecd strangeness
From: [email-masked] (James Dumser)

7 Aug 1997 12:33:33 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: James Dumser <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7Bit
X-Mailer: BeyondMail for Windows/Professional 2.3
Original-To: [email-masked]
X-BeyondMail-Priority: 1
Conversation-ID: <[email-masked]>
Original-Cc: Sergey Okhapkin <[email-masked]>
X-Receipt-From-Agent: true
Original-Sender: [email-masked]

rexecd does work, but there appear to be problems with pty handling in this
case. To test, I'm using eXceed's Xstart to start rxvt
(/usr/local/X11R6.3/bin/rxvt -ls). With the "show host response" option set, I
get
	rxvt: Failed to open input method
	seteuid called, and it's not done yet.
	ptydev="/dev/tty4"
	ttydev="/dev/tty4"
as rxvt is coming up. Then for every command I issue from rxvt, I get three
"free tty: count < 0" messages before execution and two after:
	sh$ ls foo
	free tty: count < 0	
	free tty: count < 0
	free tty: count < 0
	ls: foo: No such file or directory
	free tty: count < 0
	free tty: count < 0
(it does not make any difference what command is executed).

ps verifies that I am on pty4:
  TTY   PID  PPID  PGID  WIN32-PID  UID COMMAND
  00   1000  1000     0        166 1007 d:\local\sbin\inetd.exe
  02   1282  1282     0         89 1007 d:\local\sbin\inetd.exe
  03   1288  1288     0        274 1007 d:\local\sbin\inetd.exe
  04I  1297  1288     0        230 1007 d:\local\X11R6.3\bin\rxvt.exe
  04   1298  1297  1298        250 1007 c:\bin\sh.exe
  04   1306  1298  1306        159 1007 ...\H-i386-cygwin32\bin\ps.exe
but who does not show anything on tty4 (as it does if I telneted in):
  A0207776 tty0     Aug 01 15:03 (local)
  A0207776 tty1     Aug 07 09:00 (local)
  A0207776 tty2     Aug 07 09:02 (local)
  A0207776 tty3     Aug 07 09:14 (local)

One other thing I've noticed in using rxvt: Normally, I have a nice block
cursor, but starting vim makes it disappear -- it's kind of hard to run vim
without a cursor! :) Is there some xrdb entry I can set to prevent this, or is
there another way around it? (Again, using eXceed for NT 5.1.)

-- 
James Dumser  972.462.5335  [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".